Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1097390 - The lock-screen command set takes too long to execute on RHEL 7
Summary: The lock-screen command set takes too long to execute on RHEL 7
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-guest-agent
Version: 3.4.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Vinzenz Feenstra [evilissimo]
QA Contact: Pavel Novotny
URL:
Whiteboard: virt
Depends On:
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2014-05-13 17:06 UTC by Pavel Novotny
Modified: 2015-02-17 08:28 UTC (History)
9 users (show)

Fixed In Version: rhevm-guest-agent-1.0.10-1.el7
Doc Type: Bug Fix
Doc Text:
Previously the lock screen functionality of the guest agent on RHEL7 took several seconds to complete. As a result closing and opening the console caused the user to be not immediately logged in with SSO enabled. This issues has been now resolved.
Clone Of:
Environment:
Last Closed: 2015-02-17 08:28:36 UTC
oVirt Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 28201 master MERGED Speed up screenlocking on systems with logind Never

Description Pavel Novotny 2014-05-13 17:06:35 UTC
Description of problem:
When a VM console of a RHEL 7 guest is closed, the following set of 'lock-screen' commands is executed (in the guest) too slowly - 7 commands, ~~3 seconds between each = ~~18 seconds.
If a user connects again to the VM console with SSO enabled, he must wait up to the 18 seconds before he is auotmatically logged in.

Version-Release number of selected component (if applicable):
rhevm-guest-agent-common-1.0.9-6.el7ev.noarch
rhevm-guest-agent-gdm-plugin-1.0.9-6.el7ev.noarch
rhevm-guest-agent-pam-module-1.0.9-6.el7ev.x86_64

How reproducible:
100%

Steps to Reproduce:
1. Have a RHEL 7 VM with SSO enabled via guest agent.
2. Run the VM from User Portal and connect to the console. SSO will automatically logg you in.
3. In the guest, lock the session and close the console. Instantly open the console again.

Actual results:
The lock screen is still present and user has to wait up to cca 18 seconds before he's logged in to the running session again.
If user tries to do something manually with the lock or login screen within this time period, he will face a strange bahavior where the screen is getting locked again sevral times.

Expected results:
User is immediately logged in to the running session.

Additional info:

See the time interval between lines 'Received an external command: lock-screen...' in below VDSM log.

VDSM log, starting at the moment of opening the VM console:
-~-
Dummy-1::INFO::2014-05-13 17:11:42,059::OVirtAgentLogic::169::root::Received an external command: login...
Dummy-1::INFO::2014-05-13 17:11:42,059::CredServer::207::root::The following users are allowed to connect: [0]
Dummy-1::INFO::2014-05-13 17:11:42,059::CredServer::273::root::Opening credentials channel...
Dummy-1::INFO::2014-05-13 17:11:42,060::CredServer::132::root::Emitting user authenticated signal (716431).
CredChannel::INFO::2014-05-13 17:11:42,210::CredServer::225::root::Incomming connection from user: 0 process: 6411
CredChannel::INFO::2014-05-13 17:11:42,211::CredServer::232::root::Sending user's credential (token: 716431)
Dummy-1::INFO::2014-05-13 17:11:42,211::CredServer::277::root::Credentials channel was closed.
Dummy-1::INFO::2014-05-13 17:11:46,669::OVirtAgentLogic::169::root::Received an external command: lock-screen...
Dummy-1::INFO::2014-05-13 17:11:46,820::OVirtAgentLogic::169::root::Received an external command: lock-screen...
Dummy-1::INFO::2014-05-13 17:11:46,939::OVirtAgentLogic::169::root::Received an external command: lock-screen...
Dummy-1::INFO::2014-05-13 17:11:47,070::OVirtAgentLogic::169::root::Received an external command: lock-screen...
Dummy-1::INFO::2014-05-13 17:11:47,178::OVirtAgentLogic::169::root::Received an external command: lock-screen...
Dummy-1::INFO::2014-05-13 17:11:47,288::OVirtAgentLogic::169::root::Received an external command: lock-screen...
Dummy-1::INFO::2014-05-13 17:11:47,395::OVirtAgentLogic::169::root::Received an external command: lock-screen...
-~-

Comment 1 Vinzenz Feenstra [evilissimo] 2014-06-10 11:50:18 UTC
Merged to u/s master as http://gerrit.ovirt.org/gitweb?p=ovirt-guest-agent.git;a=commit;h=bea77cdfe1f2ada3fba8c66c8864cb420f229709

Comment 2 Pavel Novotny 2014-08-29 13:02:30 UTC
In what version is this bug fixed pls?

Comment 3 Vinzenz Feenstra [evilissimo] 2014-09-01 06:10:38 UTC
(In reply to Pavel Novotny from comment #2)
> In what version is this bug fixed pls?

rhevm-guest-agent-1.0.10-1.el7

Comment 4 Pavel Novotny 2014-09-15 17:47:56 UTC
Verified in:
RHEL7 guest:
rhevm-guest-agent-gdm-plugin-1.0.10-1.el7.noarch
rhevm-guest-agent-pam-module-1.0.10-1.el7.x86_64
rhevm-guest-agent-common-1.0.10-1.el7.noarch

RHEVM: rhevm-3.5.0-0.12.beta.el6ev.noarch (vt3.1)


Verification steps:
1. Have a RHEL 7 VM with SSO enabled via guest agent.
2. Run the VM from User Portal and connect to the console. SSO will automatically logg you in.
3. In the guest, lock the session and close the console. Instantly open the console again.

Result:
There is no ~18 seconds delay as before until user is logged into the running session again.
It's verified that user can lock the guest session and connect to it again within 2-3 seconds without any additional delay (on RHEL 7 guest with 2GB RM and 2vCPUs, using NFS storage).

Comment 5 Omer Frenkel 2015-02-17 08:28:36 UTC
RHEV-M 3.5.0 has been released


Note You need to log in before you can comment on or make changes to this bug.